Index: validator.php
===================================================================
--- validator.php	(revision 15437)
+++ validator.php	(working copy)
@@ -104,7 +104,17 @@
 		}
 
 		if ( !$global_res && $this->Application->isDebugMode() ) {
-			$error_msg = '	Validation failed in prefix <strong>' . $this->dataSource->Prefix . '</strong>,
+			$title_info = $this->dataSource->GetTitleField();
+
+			$item_info = Array (
+				$this->dataSource->IDField . ': <strong>' . $this->dataSource->GetID() . '</strong>',
+			);
+
+			if ( $title_info && reset($title_info) ) {
+				$item_info[] = key($title_info) . ': <strong>' . current($title_info) . '</strong>';
+			}
+
+			$error_msg = '	Validation failed in prefix - <strong>' . $this->dataSource->Prefix . '</strong> (' . implode('; ', $item_info) . '),
 							FieldErrors follow (look at items with <strong>"pseudo"</strong> key set)<br />
 							You may ignore this notice if submitted data really has a validation error';
 			trigger_error(trim($error_msg), E_USER_NOTICE);
